<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>page-name-003</title>
	<meta name="assert" content="Checks that the 'first' page group selector works only on each forced break.">
	<style>
		@page {
			margin: 1cm;
			size: A5;
		}

		@page page {
			background-color: lightblue;
		}

		@page page:first {
			background-color: lightcoral;
		}

		div {
			break-before: page;
			page: page;
		}

		.spacer {
			height: 17.5cm;
		}
	</style>
</head>
<body>
<div>
	<p>Red page</p>
	<p class="spacer"></p>
	<p>Blue page</p>
</div>
<div>
	<p>Red page</p>
</div>
</body>
</html>
